com.atid.lib.module.barcode.ssi.type

## Enum AustraliaPostFormat

- java.lang.Object
- - java.lang.Enum<AustraliaPostFormat>
  - - com.atid.lib.module.barcode.ssi.type.AustraliaPostFormat

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<AustraliaPostFormat>

      public enum AustraliaPostFormat
      extends java.lang.Enum<AustraliaPostFormat>
      implements IEnumType

  To select one of the following formats for Australia Post,

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AlphanumericEncoding` Decode the Customer Information Field using the C Encoding Table.
    `Autodiscriminate` Attempt to decode the Customer Information Field using the N and C Encoding Tables.
    `NumericEncoding` Decode the Customer Information Field using the N Encoding Table.
    `RawFormat` Output raw bar patterns as a series of numbers 0 through 3.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static AustraliaPostFormat` | `valueOf(int code)`
    `static AustraliaPostFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AustraliaPostFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Autodiscriminate

          public static final AustraliaPostFormat Autodiscriminate

      Attempt to decode the Customer Information Field using the N and C Encoding Tables.

    - #### RawFormat

          public static final AustraliaPostFormat RawFormat

      Output raw bar patterns as a series of numbers 0 through 3.

    - #### AlphanumericEncoding

          public static final AustraliaPostFormat AlphanumericEncoding

      Decode the Customer Information Field using the C Encoding Table.

    - #### NumericEncoding

          public static final AustraliaPostFormat NumericEncoding

      Decode the Customer Information Field using the N Encoding Table.

  - ### Method Detail

    - #### values

          public static AustraliaPostFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AustraliaPostFormat c : AustraliaPostFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AustraliaPostFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<AustraliaPostFormat>`

    - #### valueOf

          public static AustraliaPostFormat valueOf(int code)